org.springframework.cloud.dataflow.server.config

## Class MetricsReplicationEnvironmentPostProcessor

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.MetricsReplicationEnvironmentPostProcessor

- All Implemented Interfaces:
    org.springframework.boot.env.EnvironmentPostProcessor, org.springframework.core.Ordered

      public class MetricsReplicationEnvironmentPostProcessor
      extends Object
      implements org.springframework.boot.env.EnvironmentPostProcessor, org.springframework.core.Ordered

  This post-processor helps to replicate the metrics property defined for the DataFlow server to the spring.cloud.dataflow.applicationProperties.stream.* and spring.cloud.dataflow.applicationProperties.task.* as well. This allows to reuse the same metrics configuration for all deployed stream applications and launched tasks. The post-processor also automatically computes some of the the Monitoring Dashboard properties from the server's metrics properties. Only the properties not explicitly set are updated. That means that you can explicitly set any monitoring dashboard or stream/task metrics and your settings will be honored.
  Author:
    Christian Tzolov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMON_APPLICATION_PREFIX`
    `static String` | `MONITORING_DASHBOARD_PREFIX`
    `static String` | `MONITORING_PREFIX`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricsReplicationEnvironmentPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()`
    `void` | `postProcessEnvironment(org.springframework.core.env.ConfigurableEnvironment environment, org.springframework.boot.SpringApplication application)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MONITORING_PREFIX

          public static final String MONITORING_PREFIX

    - #### MONITORING_DASHBOARD_PREFIX

          public static final String MONITORING_DASHBOARD_PREFIX

    - #### COMMON_APPLICATION_PREFIX

          public static final String COMMON_APPLICATION_PREFIX

  - ### Constructor Detail

    - #### MetricsReplicationEnvironmentPostProcessor

          public MetricsReplicationEnvironmentPostProcessor()

  - ### Method Detail

    - #### postProcessEnvironment

          public void postProcessEnvironment(org.springframework.core.env.ConfigurableEnvironment environment,
                                             org.springframework.boot.SpringApplication application)

      Specified by:
        `postProcessEnvironment` in interface `org.springframework.boot.env.EnvironmentPostProcessor`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.